Exclusions
Update Exclusion Rule
Updates an existing exclusion rule
PATCH
/
v1
/
config
/
ingestion
/
exclusions
/
{id}
Update Exclusion Rule
curl --request PATCH \
--url https://api.mezmo.com/v1/config/ingestion/exclusions/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"hosts": [
"<string>"
],
"apps": [
"<string>"
],
"active": false,
"indexonly": true,
"query": "<string>"
}
'import requests
url = "https://api.mezmo.com/v1/config/ingestion/exclusions/{id}"
payload = {
"title": "<string>",
"hosts": ["<string>"],
"apps": ["<string>"],
"active": False,
"indexonly": True,
"query": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
hosts: ['<string>'],
apps: ['<string>'],
active: false,
indexonly: true,
query: '<string>'
})
};
fetch('https://api.mezmo.com/v1/config/ingestion/exclusions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "<string>",
"hosts": [
"<string>"
],
"apps": [
"<string>"
],
"active": false,
"indexonly": true,
"query": "<string>",
"id": "<string>"
}{
"code": "<string>",
"error": "<string>"
}{
"code": "<string>",
"error": "<string>"
}Authorizations
AccessTokenservicekeyAuth
This key is used for all apis with the exception of ingest. You can obtain it following
these instructions and placing
the key in the header of your call in the format of Authorization: Token {accesstoken}
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
Path Parameters
ID of an exclusion rule.
Body
application/json
Request parameters
⌘I
Update Exclusion Rule

